#!/usr/bin/python
'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of EveConsole.

    EveConsole is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EveConsole is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EveConsole.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
 
from pyEveApi.ApiLogin import ApiLogin
from pyEveApi.ApiDownloader import ApiDownloader
from pyEveApi.SaveCharacter import SaveCharacter

class myDownloader(ApiLogin, ApiDownloader):
    def getPage(self):
        pass
    def __init__(self, userid, apikey, characterid, page):
        ApiLogin.__init__(self, userid, apikey, characterid)
        ApiDownloader.__init__(self, page)
        pass

if __name__ == '__main__':
    page = "/char/WalletTransactions.xml.aspx"
    char = SaveCharacter()
    char.loadCache()
    downloader = myDownloader(char.getUserID(), char.getApiKey(), char.getCharacterID, page)
    downloader.doForceDownload()
    print downloader.XMLJournal
